Subject: Re: linux-next: Tree for Jan 23 (PHY_EXYNOS5250_SATA in drivers/phy/samsung/Kconfig)

From: Wolfram Sang <[email-masked]>
Date: Thu, 23 Jan 2020 10:09:26 +0100

On Thu, Jan 23, 2020 at 09:03:02AM +0100, Krzysztof Kozlowski wrote:
> On Thu, 23 Jan 2020 at 08:00, Randy Dunlap <[email-masked]> wrote:
> >
> > On 1/22/20 10:21 PM, Stephen Rothwell wrote:
> > > Hi all,
> > >
> > > Changes since 20200122:
> > >
> >
> > Is linux-next missing some of the COMPILE_TEST fixes?  I am still seeing
> > this warning (that I reported on Jan. 9-2020 and that Arnd has sent a
> > possible patch for):
> >
> >
> > on i386 or x86_64:
> >
> > WARNING: unmet direct dependencies detected for I2C_S3C2410
> >   Depends on [n]: I2C [=y] && HAS_IOMEM [=y] && HAVE_S3C2410_I2C [=n]
> >   Selected by [y]:
> >   - PHY_EXYNOS5250_SATA [=y] && (SOC_EXYNOS5250 || COMPILE_TEST [=y]) && HAS_IOMEM [=y] && OF [=y]
> 
> Hi Randy,
> 
> The fix was posted quite some time ago - next to the patches
> (unfortunately) introducing the issue.  I posted v2, after review, on
> 7th of January:
> https://lore.kernel.org/linux-arm-kernel/[email-masked]/T/#t
> 
> Maybe I missed someone on Cc there?

Sorry, it slipped through the cracks that this patch is not only adding
build coverage but also fixing an issue. Will have a look now.